:root {
  /* Colors variables */
  --color-bg-dark: #091215;
  --color-bg-light: #0a171c;
  --color-primary: #00e2dc;
  --color-primary-dark: #13bab6;
  --color-text: #8299a3;
  --color-input: #1a292d;
  --color-white: #fff;
}

*,
*::before,
*::after {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

a {
  text-decoration: none;
  color: var(--color-text);
}

input,
button {
  border: none;
  font: inherit;
  outline: none;
}

input::placeholder {
  font: inherit;
}

html {
  font-size: 62.5%;
}

/* body {
  font-family: "Open Sans", sans-serif;
  font-size: 1.6rem;
  color: var(--color-text);
  height: 100vh;
  background-color: var(--color-bg-dark);
} */

.container {
  display: grid;
  place-items: center;
  width: 100%;
  height: 100%;
  padding: 2rem;
}

.form__wrapper {
  position: relative;
  background-color: var(--color-bg-light);
  border-radius: 0.5rem;
  width: 100%;
  max-width: 42rem;
  padding: 0.2rem;
  overflow: hidden;
}

.form {
  position: relative;
  padding: 5rem 3rem;
  width: 100%;
  height: 100%;
  z-index: 10;
}

.form__wrapper::before {
  position: absolute;
  content: "";
  width: 100%;
  height: 100%;
  background: linear-gradient(90deg, transparent, var(--color-primary));
  top: -50%;
  left: -50%;
  transform-origin: bottom right;
  animation: animateRotate 5s linear infinite;
}
.form__wrapper::after {
  position: absolute;
  content: "";
  width: 100%;
  height: 100%;
  background: linear-gradient(90deg, transparent, var(--color-primary));
  top: -50%;
  left: -50%;
  transform-origin: bottom right;
  animation: animateRotate 5s linear infinite;
  animation-delay: -2.5s;
}

@keyframes animateRotate {
  100% {
    transform: rotate(360deg);
  }
}

.form__title {
  font-size: 2.4rem;
  color: var(--color-white);
  margin-bottom: 2rem;
}

.form__links {
  display: grid;
  row-gap: 1rem;
}

.form__link {
  display: flex;
  justify-content: center;
  align-items: center;
  column-gap: 1rem;
  border: 1px solid var(--color-input);
  border-radius: 0.5rem;
  color: var(--color-white);
  padding: 2rem;
  transition: 0.4s;
}

.form__link i {
  font-size: 2rem;
}

.form__link:hover {
  background-color: var(--color-white);
  color: var(--color-bg-dark);
}

.form__separator {
  position: relative;
  margin: 4rem 0;
  width: 100%;
  height: 0.1rem;
  background-color: var(--color-input);
}

.form__separator::before {
  position: absolute;
  content: "Or";
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  padding: 0 4rem;
  background-color: var(--color-bg-light);
}

.field__label {
  display: block;
  color: var(--color-white);
  margin-bottom: 1rem;
}

.field__wrapper {
  display: flex;
  align-items: center;
  padding: 1.5rem;
  background-color: var(--color-input);
  margin-bottom: 2rem;
  border-radius: 0.5rem;
}

.field__input {
  width: 100%;
  height: 100%;
  background-color: transparent;
  color: var(--color-white);
  padding-left: 1rem;
  padding-right: 1rem;
}

.field__input::placeholder {
  color: var(--color-text);
}

.field__icon {
  font-size: 2rem;
  color: var(--color-white);
}

.password-icon {
  color: var(--color-text);
  cursor: pointer;
  transition: 0.4s;
}

.password-icon:hover {
  color: var(--color-primary);
}

.form__footer {
  display: flex;
  flex-wrap: wrap;
  row-gap: 2rem;
  justify-content: space-between;
  align-items: center;
}

.form__btn {
  background-color: var(--color-primary);
  border-radius: 0.5rem;
  padding: 1.4rem 5rem;
  color: var(--color-bg-dark);
  font-weight: 600;
  cursor: pointer;
  transition: 0.4s;
}

.form__btn:hover {
  background-color: var(--color-primary-dark);
}

.form__recover {
  font-size: 1.4rem;
  transition: 0.4s;
}

.form__recover:hover {
  color: var(--color-primary);
}

.form__recover-danger {
    font-size: 1.4rem;
    transition: 0.4s;
}

.form__recover-danger:hover {
    color: red;
}
